> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Update provider auth

> PUT /integration/v1/provider-auth/{providerAuthId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **providerAuthId** (integer(int64))



### Body: application/json (object)

- **providerAuthId** (integer(int64))

- **providerDataList** (array[object])



## Responses
### 200
OK

#### Body: */* (object)
- **id** (integer(int64))

- **providerName** (string)

- **authType** (string)

- **isActive** (boolean)

- **createdByUserId** (string(uuid))

- **providerDataList** (array[object])



[Powered by Bump.sh](https://bump.sh)
